Categories:
  - Connectivity
License: MIT
SourceCode: https://github.com/mvbasov/lWS.QR
IssueTracker: https://github.com/mvbasov/lWS.QR/issues
Changelog: https://github.com/mvbasov/lWS.QR/releases

AutoName: lWS QR
Summary: lightweight Web Server QR code generator plugin
Description: |-
    This app is designed as a QR Code plugin for [[net.basov.lws.fdroid]]. It can
    also be used standalone as a small and simple QR code generator. lWS QR can be
    easily integrated with your application. See [https://github.com/mvbasov/lWS.QR
    the source code] for details.

RepoType: git
Repo: https://github.com/mvbasov/lWS.QR.git

Builds:
  - versionName: 01.00.00
    versionCode: 10000
    commit: v01.00.00f
    subdir: app
    patch:
      - gradle_pkgid.patch
    gradle:
      - yes
    prebuild: sed -i -e '/applicationIdSuffix/d' -e '/versionNameSuffix/d' build.gradle

  - versionName: 03.00.00
    versionCode: 30000
    commit: v03.00.00f
    subdir: app
    submodules: true
    sudo: apt-get install -y -t testing node-uglify
    gradle:
      - fdroid
    prebuild: sed -i -e '/versionNameSuffix/d' build.gradle

  - versionName: 03.00.02
    versionCode: 30002
    commit: v03.00.02f
    subdir: app
    submodules: true
    sudo: apt-get install -y -t testing node-uglify
    gradle:
      - fdroid
    prebuild: sed -i -e '/versionNameSuffix/d' build.gradle

  - versionName: 04.00.00
    versionCode: 40000
    commit: v04.00.00f
    subdir: app
    submodules: true
    sudo:
      - apt update || apt update
      - apt install -y node-uglify
    gradle:
      - fdroid
    prebuild: sed -i -e '/versionNameSuffix/d' build.gradle

AutoUpdateMode: Version v%vf
UpdateCheckMode: Tags v\d+\.00(\.\d+)?f
UpdateCheckName: net.basov.lws.qr
CurrentVersion: 04.00.00
CurrentVersionCode: 40000
